
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>XMLHttpRequest Level 2 使用指南_基础知识 / iVAN</title>

    <meta name="description" content="XMLHttpRequest Level 2 使用指南_基础知识 XMLHttpRequest是一个浏览器接口,使得Javascript可以进行HTTP(S)通信. 最早,微软在IE 5引进了这个接口.因为它太有用,其他浏览器也模仿部署了,ajax操作因此得以诞生. 但是,这个接口一直没有标准化,每家浏览器的实现或多或少有点不同.HTML 5的概念形成后,W3C开始考虑标准化这个接口.2008年2月,就提出了XMLHttpRequest Level 2 草案. 这个XMLHttpRequest的新版本,提出了很多有用的新功能,将大大推动互联网革新.本文就对这个">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">XMLHttpRequest Level 2 使用指南_基础知识</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>XMLHttpRequest是一个浏览器接口，使得Javascript可以进行HTTP(S)通信。<br />
最早，微软在IE 5引进了这个接口。因为它太有用，其他浏览器也模仿部署了，ajax操作因此得以诞生。<br />
但是，这个接口一直没有标准化，每家浏览器的实现或多或少有点不同。HTML 5的概念形成后，W3C开始考虑标准化这个接口。2008年2月，就提出了XMLHttpRequest Level 2 草案。<br />
这个XMLHttpRequest的新版本，提出了很多有用的新功能，将大大推动互联网革新。本文就对这个新版本进行详细介绍。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MDgyNjE1MzE1MS5wbmc=.jpg"></p>
<p><strong>一、老版本的XMLHttpRequest对象</strong></p>
<p>在介绍新版本之前，我们先回顾一下老版本的用法。<br />
首先，新建一个XMLHttpRequest的实例。</p>
<p>　　var xhr = new XMLHttpRequest();</p>
<p>然后，向远程主机发出一个HTTP请求。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>　　xhr.open('GET', 'example.php');<br />
　　xhr.send();</p>
<p>接着，就等待远程主机做出回应。这时需要监控XMLHttpRequest对象的状态变化，指定回调函数。</p>
<pre>
xhr.onreadystatechange = function(){
　　if ( xhr.readyState == 4 &amp;&amp; xhr.status == 200 ) {
　　　　alert( xhr.responseText );
　　} else {
　　　　alert( xhr.statusText );
　　}
};</pre>
<p>上面的代码包含了老版本XMLHttpRequest对象的主要属性：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>* xhr.readyState：XMLHttpRequest对象的状态，等于4表示数据已经接收完毕。<br />
* xhr.status：服务器返回的状态码，等于200表示一切正常。<br />
* xhr.responseText：服务器返回的文本数据<br />
* xhr.responseXML：服务器返回的XML格式的数据<br />
* xhr.statusText：服务器返回的状态文本。</p>
<p><strong>二、老版本的缺点</strong></p>
<p>老版本的XMLHttpRequest对象有以下几个缺点：<br />
　　* 只支持文本数据的传送，无法用来读取和上传二进制文件。<br />
　　* 传送和接收数据时，没有进度信息，只能提示有没有完成。<br />
　　* 受到"同域限制"（Same Origin Policy），只能向同一域名的服务器请求数据。</p>
<p><strong>三、新版本的功能</strong></p>
<p>新版本的XMLHttpRequest对象，针对老版本的缺点，做出了大幅改进。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>* 可以设置HTTP请求的时限。<br />
* 可以使用FormData对象管理表单数据。<br />
* 可以上传文件。<br />
* 可以请求不同域名下的数据（跨域请求）。<br />
* 可以获取服务器端的二进制数据。<br />
* 可以获得数据传输的进度信息。</p>
<p>下面，我就一一介绍这些新功能。</p>
<p><strong>四、HTTP请求的时限</strong></p>
<p>有时，ajax操作很耗时，而且无法预知要花多少时间。如果网速很慢，用户可能要等很久。<br />
新版本的XMLHttpRequest对象，增加了timeout属性，可以设置HTTP请求的时限。</p>
<p>　　xhr.timeout = 3000;</p>
<p>上面的语句，将最长等待时间设为3000毫秒。过了这个时限，就自动停止HTTP请求。与之配套的还有一个timeout事件，用来指定回调函数。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>　　xhr.ontimeout = function(event){<br />
　　　　alert('请求超时！');<br />
　　}</p>
<p>目前，Opera、Firefox和IE 10支持该属性，IE 8和IE 9的这个属性属于XDomainRequest对象，而Chrome和Safari还不支持。</p>
<p><strong>五、FormData对象</strong></p>
<p>ajax操作往往用来传递表单数据。为了方便表单处理，HTML 5新增了一个FormData对象，可以模拟表单。</p>
<p>首先，新建一个FormData对象。</p>
<p>　　var formData = new FormData();</p>
<p>然后，为它添加表单项。</p>
<p>　　formData.append('username', '张三');<br />
　　formData.append('id', 123456);</p>
<p>最后，直接传送这个FormData对象。这与提交网页表单的效果，完全一样。<br />
　　xhr.send(formData);<br />
FormData对象也可以用来获取网页表单的值。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>　　var form = document.getElementById('myform');<br />
　　var formData = new FormData(form);<br />
　　formData.append('secret', '123456'); // 添加一个表单项<br />
　　xhr.open('POST', form.action);<br />
　　xhr.send(formData);</p>
<p><strong>六、上传文件</strong></p>
<p>新版XMLHttpRequest对象，不仅可以发送文本信息，还可以上传文件。<br />
假定files是一个"选择文件"的表单元素（input[type="file"]），我们将它装入FormData对象。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>　　var formData = new FormData();<br />
　　for (var i = 0; i &lt; files.length;i++) {<br />
　　　　formData.append('files[]', files[i]);<br />
　　}</p>
<p>然后，发送这个FormData对象。</p>
<p>　　xhr.send(formData);</p>
<p><strong>七、跨域资源共享（CORS）</strong></p>
<p>新版本的XMLHttpRequest对象，可以向不同域名的服务器发出HTTP请求。这叫做"跨域资源共享"（Cross-origin resource sharing，简称CORS）。<br />
使用"跨域资源共享"的前提，是浏览器必须支持这个功能，而且服务器端必须同意这种"跨域"。如果能够满足上面的条件，则代码的写法与不跨域的请求完全一样。</p>
<p>xhr.open('GET', 'http://other.server/and/path/to/script');</p>
<p>目前，除了IE 8和IE 9，主流浏览器都支持CORS，IE 10也将支持这个功能。服务器端的设置，请参考《Server-Side Access Control》。</p>
<p><strong>八、接收二进制数据（方法A：改写MIMEType）</strong></p>
<p>老版本的XMLHttpRequest对象，只能从服务器取回文本数据（否则它的名字就不用XML起首了），新版则可以取回二进制数据。<br />
这里又分成两种做法。较老的做法是改写数据的MIMEType，将服务器返回的二进制数据伪装成文本数据，并且告诉浏览器这是用户自定义的字符集。</p>
<p>　　xhr.overrideMimeType("text/plain; charset=x-user-defined");</p>
<p>然后，用responseText属性接收服务器返回的二进制数据。</p>
<p>　　var binStr = xhr.responseText;</p>
<p>由于这时，浏览器把它当做文本数据，所以还必须再一个个字节地还原成二进制数据。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>　　for (var i = 0, len = binStr.length; i &lt; len; ++i) {<br />
　　　　var c = binStr.charCodeAt(i);<br />
　　　　var byte = c &amp; 0xff;<br />
　　}</p>
<p>最后一行的位运算"c &amp; 0xff"，表示在每个字符的两个字节之中，只保留后一个字节，将前一个字节扔掉。原因是浏览器解读字符的时候，会把字符自动解读成Unicode的0xF700-0xF7ff区段。</p>
<p><strong>八、接收二进制数据（方法B：responseType属性）</strong></p>
<p>从服务器取回二进制数据，较新的方法是使用新增的responseType属性。如果服务器返回文本数据，这个属性的值是"TEXT"，这是默认值。较新的浏览器还支持其他值，也就是说，可以接收其他格式的数据。<br />
你可以把responseType设为blob，表示服务器传回的是二进制对象。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>　　var xhr = new XMLHttpRequest();<br />
　　xhr.open('GET', '/path/to/image.png');<br />
　　xhr.responseType = 'blob';</p>
<p>接收数据的时候，用浏览器自带的Blob对象即可。</p>
<p>　　var blob = new Blob([xhr.response], {type: 'image/png'});</p>
<p>注意，是读取xhr.response，而不是xhr.responseText。<br />
你还可以将responseType设为arraybuffer，把二进制数据装在一个数组里。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>　　var xhr = new XMLHttpRequest();<br />
　　xhr.open('GET', '/path/to/image.png');<br />
　　xhr.responseType = "arraybuffer";</p>
<p>接收数据的时候，需要遍历这个数组。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>　　var arrayBuffer = xhr.response;<br />
　　if (arrayBuffer) {<br />
　　　　var byteArray = new Uint8Array(arrayBuffer);<br />
　　　　for (var i = 0; i &lt; byteArray.byteLength; i++) {<br />
　　　　　　// do something<br />
　　　　}<br />
　　}</p>
<p>更详细的讨论，请看Sending and Receiving Binary Data。</p>
<p><strong>九、进度信息</strong></p>
<p>新版本的XMLHttpRequest对象，传送数据的时候，有一个progress事件，用来返回进度信息。<br />
它分成上传和下载两种情况。下载的progress事件属于XMLHttpRequest对象，上传的progress事件属于XMLHttpRequest.upload对象。<br />
我们先定义progress事件的回调函数。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>　　xhr.onprogress = updateProgress;<br />
　　xhr.upload.onprogress = updateProgress;</p>
<p>然后，在回调函数里面，使用这个事件的一些属性。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>　　function updateProgress(event) {<br />
　　　　if (event.lengthComputable) {<br />
　　　　　　var percentComplete = event.loaded / event.total;<br />
　　　　}<br />
　　}</p>
<p>上面的代码中，event.total是需要传输的总字节，event.loaded是已经传输的字节。如果event.lengthComputable不为真，则event.total等于0。<br />
与progress事件相关的，还有其他五个事件，可以分别指定回调函数：</p>
<p>　　* load事件：传输成功完成。<br />
　　* abort事件：传输被用户取消。<br />
　　* error事件：传输中出现错误。<br />
　　* loadstart事件：传输开始。<br />
　　* loadEnd事件：传输结束，但是不知道成功还是失败。</p>
<p><strong>十、阅读材料</strong></p>
<p>1. Introduction to XMLHttpRequest Level 2： 新功能的综合介绍。</p>
<p>2. New Tricks in XMLHttpRequest 2：一些用法的介绍。</p>
<p>3. Using XMLHttpRequest：一些高级用法，主要针对Firefox浏览器。</p>
<p>4. HTTP Access Control：CORS综述。</p>
<p>5. DOM access control using cross-origin resource sharing：CORS的9种HTTP头信息</p>
<p>6. Server-Side Access Control：服务器端CORS设置。</p>
<p>7. Enable CORS：服务端CORS设置。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索xmlhttprequest<br />
                                    risklevelrequest翻译、logback.xml level、log4j.xml level、xmlhttprequest、xmlhttprequest对象，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-18 22:44:03</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/xmlhttprequest/" title="xmlhttprequest">xmlhttprequest</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>XMLHttpRequest Level 2 使用指南_基础知识的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7Q63aM.html" rel="bookmark">JavaScript的函数式编程基础指南&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引言 JavaScript是一种强大的,却被误解的编程语言.一些人喜欢说它是一个面向对象的编程语言,或者它是一个函数式编程语言.另外一些人喜欢说,它不是一个面向对象的编程语言,或者它不是一个函数式编程语言.还有人认为它兼具面向对象语言和函数式语言的特点,或者,认为它既不是面向对象的也不是函数式的,好吧,让我们先搁置那些争论. 让我们假设我们共有这样的一个使命:在JavaScript语言所允许的范围内,尽可能多的使用函数式编程的原则来编写程序. 首先,我们需要清理下脑子里那些关于函数式编程的错误观			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mv5ee9b.html" rel="bookmark">JavaScript中的prototype原型学习指南&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原型是什么 Function 类型有一个属性 prototype,直接翻译过来就是原型.这个属性就是一个指针,指向一个对象,这个对象包含一些属性和方法,这些属性和方法会被当前函数生成的所有实例(对象)所共享. 这句话根据前面所说的,细细琢磨下来,就可以得到下面代码: function Person(){ ... } Person.prototype = { country : 'china', sayName : function(){ ... } } 先创建了一个 Function 类型的实例			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYREVep.html" rel="bookmark">JavaScript的RequireJS库入门指南&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 简介 如今最常用的JavaScript库之一是RequireJS.最近我参与的每个项目,都用到了RequireJS,或者是我向它们推荐了增加RequireJS.在这篇文章中,我将描述RequireJS是什么,以及它的一些基础场景. 异步模块定义(AMD) 谈起RequireJS,你无法绕过提及JavaScript模块是什么,以及AMD是什么. JavaScript模块只是遵循SRP(Single Responsibility Principle单一职责原则)的代码段,它暴露了一个公开的API.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW7WAnM.html" rel="bookmark">JavaScript的代码编写格式规范指南&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于熟悉 C/C++ 或 Java 语言的工程师来说,JavaScript 显得灵活,简单易懂,对代码的格式的要求也相对松散.很容易学习,并运用到自己的代码中.也正因为这样,JavaScript 的编码规范也往往被轻视,开发过程中修修补补,最终也就演变成为后续维护人员的恶梦.软件存在的长期价值直接与编码的质量成比例.编码规范能帮助我们降低编程中不必要的麻烦.而 JavaScript 代码是直接发送给客户浏览器的,直接与客户见面,编码的质量更应该受到关注. 本文浅谈 JavaScript 编程中关			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlBJoYz.html" rel="bookmark">再JavaScript的jQuery库中编写动画效果的指南&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				jquery中常用的动画的方法就是hide()与show(). $(element).hide()这段代码可以与这相等element.css(&quot;display&quot;,&quot;none&quot;)  在hide(time)与show(time)中填入事件,可以慢慢消失跟显现.可以修改元素的多个样式,高度,宽度,不透明度. 另一组方法fadeIn()与fadeOut()这个与hide跟show不同的是,当使用hide或者show的时候会改变网页的高度,而fadeIn与fadeOut则不会			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPllm0p.html" rel="bookmark">Javascript学习指南&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				javascript入门太容易了,导致几乎人人随便看看就能上手,零基础的人学个三五天都能对外宣称自己掌握了js.可是真正掌握js是一件很难的事情.如果在初学一门语言的时候第一想到的是问别人,是很难取得进步的.因为得到答案太容易,而不会去想为什么.而且说实话,js并不适合作为第一门编程语言,它兼容并包,容错性高,但这也意味着一但出错你就很难找到错误的原因.另一方面js有一些优秀的特性对于没有编程经历的人来说也很难发现. 如果你真想学好js,我有个大概的自学轨迹供你们参考. 第一步,学习w3scho			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze78g8M.html" rel="bookmark">使用AmplifyJS组件配合JavaScript进行编程的指南&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				事件分发的作用 在为页面添加各类交互功能时,我们熟知的最简单的做法就是为页面元素绑定事件,然后在事件处理函数中,做我们想要做的动作.就像这样的代码: element.onclick = function(event){ // Do anything. }; 如果我们要做的动作不复杂,那么实际逻辑功能的代码,放在这里是可以的.如果今后需要修改,再到这段事件处理函数的位置来修改. 再进一步,为了做适当的代码复用,我们可能会把逻辑功能中的一部分分拆到一个函数内: element.onclick = f			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBkgVKM.html" rel="bookmark">JavaScript函数学习总结以及相关的编程习惯指南&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				null 和 undefinedUndefined相当于一个变量并没有明确的被赋值(是否被赋值, 可能无心忽略, 逻辑问题) JS的怪异之处就在于undefined真的是一个可以使用的值. &gt; var foo; &gt; foo undefined 同理,当缺失参数时 JavaScript 会分配一个 undefined: &gt; function id(x) { return x } &gt; id() undefined a = 1; a !== undefined // true a = u			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEWw16p.html" rel="bookmark">javascript中hasOwnProperty&lpar;&rpar; 方法使用指南&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				概述 hasOwnProperty() 方法用来判断某个对象是否含有指定的自身属性. 语法 obj.hasOwnProperty(prop) 参数 •prop •要检测的属性名称. 描述 所有继承了 Object.prototype 的对象都会从原型链上继承到 hasOwnProperty 方法,这个方法可以用来检测一个对象是否含有特定的自身属性,和 in 运算符不同,该方法会忽略掉那些从原型链上继承到的属性. 示例 例1:使用 hasOwnProperty 方法判断某对象是否含有特定的自身属性			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgnR1b.html" rel="bookmark" class="title">思妙FLASH MX 2004视频教程&lpar;3&rpar;－淡入淡出</a>
					<div>
						淡出|淡入|教程|视频教程 思妙动画剧情幽默,制作精美,在网络中广为流传.现在思妙推出的Flash MX 2004系列教程,更以其惯长之幽默手法,用通俗语言为我们讲解了FLASH动画的入门知识. 第三 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7OVqz.html" rel="bookmark" class="title">百度修改搜索结果标题URL 排名点击软件&OpenCurlyDoubleQuote;死期&rdquo;</a>
					<div>
						[导读]几天前我在自己的博客发表了一篇名为&lt;百度修改细节毁誉参半&gt;的文章.里面谈到了百度变化的三个细节,其中一个就是搜索结果标题URL 的变化:搜索结果标题的URL变成一串丑陋不堪的字符串 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMl5POp.html" rel="bookmark" class="title">再学GDI&plus;&lbrack;64&rsqb;&colon; 路径画刷&lpar;4&rpar;</a>
					<div>
						在本例中没有指定 CenterColor, 将默认白色; SurroundColors 原来是对应路径中的点(但按下面的做法在椭圆里不灵). 本例效果图: 代码文件:unit Unit1; inter ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2D3oM.html" rel="bookmark" class="title">品牌的统一体验</a>
					<div>
						第一次写这类文章,有点儿紧张有点儿新奇有点儿痛苦,来CDC实习2个月啦,每天除了工作就是体验体验再体验,因为之前做了一些有关规范的工作,突然有想法迸发出来,就在这儿与大家分享,欢迎拍砖^^ 我们先来看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3qJ6M.html" rel="bookmark" class="title">Firefox和Chrome的选择</a>
					<div>
						  个人总体观点: 浏览器都是没有更新尽头的,Chrome已经完成了一次大迈步,它很好,但是离Firefox还有距离.(当然你要是以使用人数来判定一个软件的优劣,那我无话可说)因为内核的原因Chrom ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3GLxp.html" rel="bookmark" class="title">新一代MacBook Air能外接显示器？</a>
					<div>
						  外媒发现2015款MacBook Air真的能够实现笔记本外接4K显示器. 在发布时,苹果曾表示新一代MacBook Air能够支持2560x1600分辨率的外接显示器,对4K只字未提.但最新的测 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3k8xp.html" rel="bookmark" class="title">图片-opencv关于Bruteforce matcher的一个问题</a>
					<div>
						问题描述 opencv关于Bruteforce matcher的一个问题 RT,正在研究ORB 发现两幅图片分别提取出来N,M个特征向量 但是一旦颠倒matcher 那个函数里面两个参数的位置得到的匹 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24Nwvp.html" rel="bookmark" class="title">struct-c&num; 在一个实现了隐式转换的结构体进行强制类型转换时报错</a>
					<div>
						问题描述 c# 在一个实现了隐式转换的结构体进行强制类型转换时报错 50C 如题,我有一个结构体,类似这样: public struct AInt{ private int _a; public in ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZoBob.html" rel="bookmark" class="title">link中如何定义直接返回一个对象的函数，而不是集合的那种？</a>
					<div>
						问题描述 link中如何定义直接返回一个对象的函数,而不是集合的那种? link中如何定义直接返回一个对象的函数,而不是集合的那种? 解决方案 看你的函数定义,如果返回值是单个对象,那就是单个对象,如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQ4anp.html" rel="bookmark" class="title">&period;net中前台javascript与后台c&num;函数相互调用问题&lowbar;C&num;教程</a>
					<div>
						C#代码与javaScript函数的相互调用 问: 1.如何在JavaScript访问C#函数? 2.如何在JavaScript访问C#变量? 3.如何在C#中访问JavaScript的已有变量? 4 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgR8kb.html" rel="bookmark" class="title">阿里巴巴多事之秋来了，大数据打假行不行？</a>
					<div>
						近日,外媒报道,美国服装和鞋履协会( AAFA )呼吁再次将阿里巴巴以及阿里旗下的淘宝平台列入&quot;恶名市场&quot;黑名单. 2015 年 4 月, AAFA 也曾提交投诉,希望美国贸易代表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvm6EVb.html" rel="bookmark" class="title">ios 支付宝网页支付  总是显示参数错误是怎莫回事</a>
					<div>
						问题描述 ios 支付宝网页支付 总是显示参数错误是怎莫回事 partner=&quot;2088811116320160&quot;&amp;seller_id=&quot;jms@jimaison ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYGyyp.html" rel="bookmark" class="title">DotNetNuke 5 C&num;版本解读之－－架构介绍</a>
					<div>
						整体上DNN5和其它比较大的企业级应用系统一样分为web服务器和数据库服务器.Web服务器包括表现层,商业逻辑层和数据访问层,而数据库服务器主要是数据层.如下图: 首先给大家介绍下DNN的表现层,上图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDeO50b.html" rel="bookmark" class="title">SysUtils单元详解</a>
					<div>
						************************系统实用例程******************************** Delphi / Kylix 跨平台运行时库(System Utiliti ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60Z7Nz.html" rel="bookmark" class="title">strust1&period;2&plus;hibernate单元测试</a>
					<div>
						问题描述 测试类是这样写的:publicclassLoginActionTestextendsMockStrutsTestCase{privateorg.hibernate.Sessionsessio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJq2Bvp.html" rel="bookmark" class="title">Windows RT越狱工具下载 附安装使用教程</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   [科技讯]1月11日消息,前不久,国外一名安全研究员c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eGENb.html" rel="bookmark" class="title">浏览器兼容性-ie浏览器兼容问题，求大神</a>
					<div>
						问题描述 ie浏览器兼容问题,求大神 ie浏览器不兼容readasbinarystring,有什么好的解决办法吗?,这个方法谷歌和360浏览器都兼容. 解决方案 遇到ie,我一般会添加: 你可以试试. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQj2OGM.html" rel="bookmark" class="title">c&plus;&plus;-重载运算符C&plus;&plus;后置&plus;&plus;在屏幕上的显示规则</a>
					<div>
						问题描述 重载运算符C++后置++在屏幕上的显示规则 c++运算符重载后置++在屏幕上如何显示?结果为什么该加一,却没有显示出来,还是原数.在写一段前置++代码,屏幕上则显示原数字多加了2. 有代码如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0N89nz.html" rel="bookmark" class="title">Java随手笔记8之包、环境变量和访问控制及maven profile实现多环境打包&lowbar;java</a>
					<div>
						一.java中的包 Java利用包来组织代码,一来使大型项目的代码结构清晰,二来包是一个命名空间的划分,即不同包中可以有相同名字的类,只需在在类名前加上包名即可区分它们. Package xxx 必须 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44dGNz.html" rel="bookmark" class="title">使用PHP求两个文件的相对路径&lowbar;php技巧</a>
					<div>
						复制代码 代码如下: function compare($ph1,$ph2){    $ret = '';    $_f1Arr = explode(&quot;/&quot;,$ph1);    $ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boqRndp.html" rel="bookmark" class="title">c语言-C语言链表应用一元多项式相加，程序运行不了，求指点</a>
					<div>
						问题描述 C语言链表应用一元多项式相加,程序运行不了,求指点 #include #include #include //一元多项式相加 typedef int Status; typedef stru ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boqQNDp.html" rel="bookmark" class="title">两条腿走路：为技术人才提供恰当晋升通道</a>
					<div>
						将合适的人放到合适的岗位上,是企业的领导者最应该关注的问题之一.但是许多时候,这个目标更象一句口号,而非一项实际可执行的战略,或者仅在企业的战略规划图中占据了显要位置,而缺乏具体可实施的策略.制度和方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmRar1z.html" rel="bookmark" class="title">《刺客信条》预订数量破纪录2011年将登陆PC</a>
					<div>
						(编译/苍天小白)法国的游戏发行商和开发商育碧公司今天宣布,下个月发售的&lt;刺客信条:兄弟会&gt;已经创造了一个新的预订销售纪录. 育碧在一份声明中称,将在11月16日于北美地区和11月18日于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJeJW6p.html" rel="bookmark" class="title">javaScript中的this示例学习详解及工作原理&lowbar;基础知识</a>
					<div>
						this的工作原理 如果一个函数被作为一个对象的方法调用,那么this将被指派为这个对象. 复制代码 代码如下: var parent = {    method: function () {     ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvqaZWb.html" rel="bookmark" class="title">狮山大学城现退学风波</a>
					<div>
						学生手中的退学手续单. 南都记者 潘臣 摄南都讯 记者潘臣 昨日是教师节,也是2012年全国成人高考报名最后一天,佛山南海区狮山大学城广东省石油化工职业技术学院内,部分新生并没有继续参加军训,而是在校 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn6nPKp.html" rel="bookmark" class="title">苹果iOS 7正式版发布 升级数百项新功能</a>
					<div>
						9月19日消息,苹果公司发布iOS7正式版,此次版本升级带来数百项新功能.此外苹果还特别为中国用户增加了九宫格键盘,在2010年购买iPhone4和2011年购买iPad2的用户,以及之后购买苹果公司 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj2DjWb.html" rel="bookmark" class="title">CentOS下设置Oracle 11gR2为系统服务自动启动</a>
					<div>
						Linux下安装完后每次都得手动启动和关闭数据库(dbstart | dbshut).监听器(lsnrctl).控制台(emtcl).如何把Oracle添加到Linux系统服务里开机自启动呢?下面以C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8EQxlz.html" rel="bookmark" class="title">Javascript中的继承与原型链理解</a>
					<div>
						在编程语言中,对象并不像真实世界中那样随处可见,随口可以指代.通常我们只有少数的原生对象,剩下的,需要我们自己去创建.在Java语言中,创建一只会&quot;咯咯咯&quot;叫的鸡时,我们是这么做的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3WGY0b.html" rel="bookmark" class="title">WordPress安装成功后首页空白解决办法</a>
					<div>
						描述症状所遇一样: 一,主页空白 二,后台一切正常 三,空白主页源码如下  代码如下 复制代码 &lt;!DOCTYPE HTML PUBLIC &quot;-//W3C//DTD HTML 4.0  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkmq8wb.html" rel="bookmark" class="title">技巧：Windows XP的纯DOS之梦&lowbar;WindowsXP</a>
					<div>
						在WindowsXP下要进入纯DOS得通过用启动软盘从软驱引导,可如果软驱坏了或没有软驱,怎么办?使用&quot;仿真虚拟软驱&quot;这个软件可以让你不用软驱而进入纯DOS. MC软件包 软件名称 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.040 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
